token_callback_instance Struct Reference

## Data Fields

struct qb_list_head | list
int(* | callback_fn )(enum totem_callback_token_type type, const void *)
enum totem_callback_token_type | callback_type
int | delete
void * | data

## Detailed Description

Definition at line 169 of file totemsrp.c.

## Field Documentation

## callback_fn

int(* token_callback_instance::callback_fn) (enum totem_callback_token_type type, const void *)

Definition at line 171 of file totemsrp.c.

## callback_type

enum totem_callback_token_type token_callback_instance::callback_type

Definition at line 171 of file totemsrp.c.

## data

void* token_callback_instance::data

Definition at line 174 of file totemsrp.c.

## delete

int token_callback_instance::delete

Definition at line 173 of file totemsrp.c.

## list

struct qb_list_head token_callback_instance::list

Definition at line 165 of file totemsrp.c.

Referenced by totemsrp_callback_token_destroy().

The documentation for this struct was generated from the following file:

- totemsrp.c